Convert a score into a JSON structure that can be rendered to audio. the return value looks like this: `{ tracks, repeats, repeatMap}` repeatMap is just an array of tuples with start/end measures. each track contains: `{ lastMeasure, notes, tempoMap, timeSignatureMap, hairpins, volume, tiedNotes }` where each note might contain: `{ pitches, noteType, duration, selector, volume }` Note: pitches are smo pitches, durations are adjusted for beatTime (beatTime === 4096 uses Smo/Vex ticks, 128 is midi tick default) volume is normalized 0-1

### Hierarchy

- SmoAudioScore

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoAudioScore(score: SmoScore, beatTime: number): SmoAudioScore

- - Defined in src/smo/xform/audioTrack.ts:117

  #### Parameters

  - ##### score: SmoScore

  - ##### beatTime: number

  #### Returns SmoAudioScore

Generated using TypeDoc